<?php
   	 require("../clases/Afiliado.class.php");
	     $Objusu = new Afiliado();	
         $accion=$_REQUEST['txtpara'];	
		 define("DIR_UPLOAD","/home/sitsermp/public_html/sitsermpcp/fotos");	
	/////////////////////////////////// 		
      if($accion=="R")
	   {    			
				$dni=$_REQUEST['dni'];				
				$nom=$_REQUEST['nombres'];
				$ap=$_REQUEST['apepaterno'];
				$am=$_REQUEST['apematerno'];
				$fn=$_REQUEST['fechanac'];
				$ln=$_REQUEST['lugarnac'];
				$ocu=$_REQUEST['ocupacion'];
				$gi=$_REQUEST['gradoins'];
				$ec=$_REQUEST['estadocivil'];
				$ruc=$_REQUEST['ruc'];
				$na = $_REQUEST['numafiliado'];
				$sangre=$_REQUEST['sangre'];
				$fa=$_REQUEST['fecha_afilia'];
				$dom=$_REQUEST['domicilio'];
				$tc=$_REQUEST['tipocas'];
				$aa=$_REQUEST['areaactual'];
				$es = "ACTIVO";
				/////////////////////para subir el archivo//////////////////////////////
				$vtempfile	= $_FILES['file']['tmp_name'];//ubicacion temporal del archivo subido
				$vnomfile	= trim($_FILES['file']['name']);//nombre del archivo(segun tipo)
				$vnomfile	= substr($vnomfile,-30);//sustraigo los 20 ulimos caracteres
				$vtamaño	= $_FILES['foto']['size'];
				$vtipo		= $_FILES['file']['type'];
				//$vnomfile	= ereg_replace(" ","",$vnomfile);//elimino los espacios en blanco del nombre del archivo
	
				if($vnomfile!="")//verifica haya sido cargado el archivo y es del tipo aceptado
				{
				  if (!((strpos($vtipo, "gif") || strpos($vtipo, "png") || strpos($vtipo, "jpeg")) && ($vtamaño < 4000000)))
					{
	
						echo "<b>Error: La foto no cumple con las caracterizticas requeridas<b>";
						exit();
	
					}else{
							if(is_uploaded_file($vtempfile))
								{ if(!move_uploaded_file($vtempfile,DIR_UPLOAD."/".$vnomfile))
									 {
										echo "no se puede subir";
										exit;
									}
								}
								else
									{
									echo $_FILES['file']['name'];
									exit;
									}
						}
				//echo "ha subido";
				}else{ $vnomfile = NULL; }
		/////////////////////////////////////////////////////////////////					
								//echo $vNombretrans." ".$vTipovehiculo." "." ".$vPlaca." ";
			if($Objusu->Crear($dni,$nom,$ap,$am,$fn,$ln,$ocu,$gi,$ec,$ruc,$na,$sangre,$vnomfile,$fa,$es,$dom,$tc,$aa))
				  {                
					echo "<script languaje=javascript>\n"; 
	 				echo "alert('Guardado correctamente');location.href ='../manafiliado.php';";					
	 				echo "</script>"; 					
		          } else{ echo "No se pudo guardar";}
       }  
	 
	 ////////////////////////////*/ 	
	 if($accion=="M")
	   {        $vcod = $_REQUEST['idafiliado'];
				$dni=$_REQUEST['dni'];				
				$nombres=$_REQUEST['nombres'];
				$apepat=$_REQUEST['apepat'];
				$apemat=$_REQUEST['apemat'];
				$fechanac=$_REQUEST['fechanac'];
				$lugarnac=$_REQUEST['lugarnac'];
				$ocupa=$_REQUEST['ocupacion'];
				$gradoins=$_REQUEST['gradoins'];
				$ec=$_REQUEST['estadocivil'];
				$ruc=$_REQUEST['ruc'];
				$sangre=$_REQUEST['sangre'];
				$dom=$_REQUEST['domicilio'];
				$tc=$_REQUEST['tipocas'];
				$aa=$_REQUEST['areaactual'];
				/////////////////////para subir el archivo//////////////////////////////
				$vtempfile	= $_FILES['file']['tmp_name'];//ubicacion temporal del archivo subido
				$vnomfile	= trim($_FILES['file']['name']);//nombre del archivo(segun tipo)
				$vnomfile	= substr($vnomfile,-30);//sustraigo los 20 ulimos caracteres
				$vtamaño	= $_FILES['foto']['size'];
				$vtipo		= $_FILES['file']['type'];
				//$vnomfile	= ereg_replace(" ","",$vnomfile);//elimino los espacios en blanco del nombre del archivo
	
				if($vnomfile!="")//verifica haya sido cargado el archivo y es del tipo aceptado
				{
				  if (!((strpos($vtipo, "gif") || strpos($vtipo, "png") || strpos($vtipo, "jpeg")) && ($vtamaño < 4000000)))
					{
	
						echo "<b>Error: La foto no cumple con las caracterizticas requeridas<b>";
						exit();
	
					}else{
							if(is_uploaded_file($vtempfile))
								{ if(!move_uploaded_file($vtempfile,DIR_UPLOAD."/".$vnomfile))
									 {
										echo "no se puede subir";
										exit;
									}
								}
								else
									{
									echo $_FILES['file']['name'];
									exit;
									}
						}
				//echo "ha subido";
				}else{ $vnomfile = NULL; }
		/////////////////////////////////////////////////////////////////				
 			if($vnomfile=="")//verifica haya sido cargado el archivo y es del tipo aceptado
			{									
				if($Objusu->ActualizarSinFoto($vcod,$dni,$nombres,$apepat,$apemat,$fechanac,$lugarnac,$ocupa,$gradoins,$ec,$ruc,$sangre,$dom,$tc,$aa))
				  {                
					echo "<script languaje=javascript>\n"; 
	 				echo "alert('Datos modificado correctamente');location.href ='../perfil.php?ida=$vcod';";					
	 				echo "</script>";
					 					
		          }else{ echo "No se pudo modificar";}
			}else{
					if($Objusu->ActualizarConfoto($vcod,$dni,$nombres,$apepat,$apemat,$fechanac,$lugarnac,$ocupa,$gradoins,$ec,$ruc,$sangre,$vnomfile,$dom,$tc,$aa))
				  	{                
						echo "<script languaje=javascript>\n"; 
						echo "alert('Datos modificado correctamente');location.href ='../perfil.php?ida=$vcod';";					
						echo "</script>";
					 					
		             }else{ echo "No se pudo modificar";}
			    }
				  
       } 
	 /*////////////////////////////////////////////*/  
	 ////////////////////////////*/ 	
	 if($accion=="A")
	   {        $vcod = $_REQUEST['idafiliado'];
				$dni=$_REQUEST['dni'];				
				$nombres=$_REQUEST['nombres'];
				$apepat=$_REQUEST['apepat'];
				$apemat=$_REQUEST['apemat'];
				$fechanac=$_REQUEST['fechanac'];
				$lugarnac=$_REQUEST['lugarnac'];
				$ocupa=$_REQUEST['ocupacion'];
				$gradoins=$_REQUEST['gradoins'];
				$ec=$_REQUEST['estadocivil'];
				$ruc=$_REQUEST['ruc'];
				$sangre=$_REQUEST['sangre'];
				$dom=$_REQUEST['domicilio'];
				$tc=$_REQUEST['tipocas'];
				$aa=$_REQUEST['areaactual'];
				/////////////////////para subir el archivo//////////////////////////////
				$vtempfile	= $_FILES['file']['tmp_name'];//ubicacion temporal del archivo subido
				$vnomfile	= trim($_FILES['file']['name']);//nombre del archivo(segun tipo)
				$vnomfile	= substr($vnomfile,-30);//sustraigo los 20 ulimos caracteres
				$vtamaño	= $_FILES['foto']['size'];
				$vtipo		= $_FILES['file']['type'];
				//$vnomfile	= ereg_replace(" ","",$vnomfile);//elimino los espacios en blanco del nombre del archivo
	
				if($vnomfile!="")//verifica haya sido cargado el archivo y es del tipo aceptado
				{
				  if (!((strpos($vtipo, "gif") || strpos($vtipo, "png") || strpos($vtipo, "jpeg")) && ($vtamaño < 4000000)))
					{
	
						echo "<b>Error: La foto no cumple con las caracterizticas requeridas<b>";
						exit();
	
					}else{
							if(is_uploaded_file($vtempfile))
								{ if(!move_uploaded_file($vtempfile,DIR_UPLOAD."/".$vnomfile))
									 {
										echo "no se puede subir";
										exit;
									}
								}
								else
									{
									echo $_FILES['file']['name'];
									exit;
									}
						}
				//echo "ha subido";
				}else{ $vnomfile = NULL; }
		/////////////////////////////////////////////////////////////////				
 			if($vnomfile=="")//verifica haya sido cargado el archivo y es del tipo aceptado
			{									
				if($Objusu->ActualizarSinFoto($vcod,$dni,$nombres,$apepat,$apemat,$fechanac,$lugarnac,$ocupa,$gradoins,$ec,$ruc,$sangre,$dom,$tc,$aa))
				  {                
					echo "<script languaje=javascript>\n"; 
	 				echo "alert('Datos modificado correctamente');location.href ='../manafiliado.php';";					
	 				echo "</script>";
					 					
		          }else{ echo "No se pudo modificar";}
			}else{
					if($Objusu->ActualizarConfoto($vcod,$dni,$nombres,$apepat,$apemat,$fechanac,$lugarnac,$ocupa,$gradoins,$ec,$ruc,$sangre,$vnomfile,$dom,$tc,$aa))
				  	{                
						echo "<script languaje=javascript>\n"; 
						echo "alert('Datos modificado correctamente');location.href ='../manafiliado.php';";					
						echo "</script>";
					 					
		             }else{ echo "No se pudo modificar";}
			    }
				  
       } 
	 /*/////////////////////////////
	
	 /////////////////////////////////////////////*/
	 
	 
	/* $usuario=trim($_REQUEST['txtusu']); //recibo parametro
     $clave=trim($_REQUEST['txtclave']);  //recibo parametro 
	 if($accion=="L"){
	          if($Objcliente->Iniciarsesion($usuario,$clave)){
			    	 session_start();
	   	       		$_SESSION["usuario"]=$Objcliente->getUsuario;//$usuario; 
			   		if(@empty($_SESSION["usuario"]))
						{
		         			 echo "<script languaje='JavaScript'>"; 		   	     						
				 			 echo "location.href='../consultacliente.php';";
		   	      			 echo "</script>";
						}		     
          		} else {
							echo "<script languaje='JavaScript'>"; 
				  			echo "location.href='../session_inexacta.php';";
				  			echo "</script>";
	             		} 
			}*/
			?>